# Задание 1

Для виртуальных машин `studX-1vX` и `studX-2vX` настройте статический адрес в помощью `systemd` в подсети `192.168.Х.0/24`. Используйте команду `networkctl` и файлы настроек `/etc/systemd/network/ens18.network`. Проверьте, что машины видят друг друга с помощью команды `ping IP-адрес-соседней-машины`.

# Задание 2

На машине `studX-1vX` настройте в подсети `192.168.X.0/24` DHCP сервер в файле `/etc/systemd/network/ens18.network`. На другой машине `studX-2vX` настройте получение IP адреса по DHCP. Проверьте, что машины видят друг друга.

# Задание 3

На машине `studX-1vX` настройте доступ в интернет. В настройках Hardware измените Network Device на `vmbr499`, перейдя таким образом в другую `vlan`. В качестве шлюза используйте адрес `10.160.179.1`. В качестве адреса возьмите `10.160.179.200`, прибавив `X` к последнему октету.

# Задание 4

Запустите прослушивание пакетов на некоторое время в сети на одной из машин командой tcpdump. Какие типы пакетов вы перехватили? Отфильтруйте ARP пакеты, ICMP пакеты, TCP пакеты.

# Задание 5
Повторите топологию сети в симуляторе сетей GNS3 в виртуальной машине `studX-gns3`. Соединения между маршрутизаторами, обозначенными R, являются PPP соединениями. Попробуйте отправить ICMP пакет другим хостам, изучите таблицы `arp` и маршрутизации до и после отправки пакетов.
```
68:56:35:8e:2c:2d                                                                                      04:f1:3e:6c:86:ad
192.168.9.2                                                                                                 192.168.20.2
               │                10.0.13.2┌───┐                                                        │    ┌───┐
      ┌───┐    │                   ┌─────┤ R │                                                        ├────┤ B │
      │ A ├────┤                   │     └───┘                                                        │    └───┘
      └───┘    │                   │     Уфа                                                          │
               │                   │                                                                  │    ┌───┐
      ┌───┐    │68:56:35:8e:5b:74  │10.0.13.1                                                         ├────┤   │
      │   ├────┤      192.168.9.1┌─┴─┐     10.0.15.2┌───┐                10.0.21.2┌───┐               │    └───┘
      └───┘    ├─────────────────┤ R ├──────────────┤ R ├─────────────────────────┤ R ├───────────────┤
               │                 └───┘10.0.15.1     └─┬─┘10.0.21.1                └─┬─┘192.168.20.1   │    ┌───┐
      ┌───┐    │                Самара                │                             │                 ├────┤   │
      │   ├────┤                                      │  10.0.16.2 ┌───┐    10.0.8.2│                 │    └───┘
      └───┘    │                                      └────────────┤ R ├────────────┘                 │
               │                                      10.0.16.1    └───┘10.0.8.1                      │    ┌───┐
               │                                    Москва        Рыбинск         Питер               |────┤   │
               |                                                                                      |    └───┘
      Ethernet сеть 1 (4 хоста)                                                             Ethernet network 2 (5 хостов)
```

Связанные с заданием страницы документации man:
  - systemd.network
  - networkctl
  - systemd-networkd
  - systemd-resolved
  - resolved.conf
  - systemctl